动态创建多行一列的static

 
    CStatic *pStatic=new CStatic[20];           //控件数组
    CRect rect1(5,5,270,25);                 //初始位置
    int IDC_STATICX=0;                   //初始IDC,不能重复,如果用IDC_STATIC1---IDCSTATIC9,要在资源头定义
 pStatic[0].Create("Recipe Parameters",SS_LEFT|WS_CHILD|WS_VISIBLE|SS_SUNKEN,rect1,this,IDC_STATIC);
    for(int i=1;i<=15;i++)
 {
        IDC_STATICX=IDC_STATICX+i;      //IDC自加
        //pStatic[i-1].CreateEx(NULL,"STATIC","Staitc",WS_CHILD|WS_VISIBLE,rect1,this,IDC_STATICX,NULL);  //创建按钮,和下句效果一样
  pStatic[i].Create("Recipe Parameters",SS_LEFT|WS_CHILD|WS_VISIBLE|SS_SUNKEN,rect1,this,IDC_STATICX);
        //rect1.left=rect1.left+100; rect1.right=rect1.left+90;        //横向位置
  GetDlgItem(IDC_STATICX)->EnableWindow( true );
        rect1.top=rect1.top+20;
  rect1.bottom=rect1.top+20;
  rect1.left=5;
  rect1.right=270; 
 
    }
  • 0
    点赞
  • 0
    收藏
    觉得还不错? 一键收藏
  • 1
    评论
在 C# 中使用 AutoCAD API 创建文本 MText,可以按照以下步骤: 1. 引用 AutoCAD 的 COM 组件,添加命名空间: ```csharp using Autodesk.AutoCAD.Interop; using Autodesk.AutoCAD.Interop.Common; ``` 2. 获取 AutoCAD 应用程序对象: ```csharp AcadApplication app = (AcadApplication)System.Runtime.InteropServices.Marshal.GetActiveObject("AutoCAD.Application"); ``` 3. 创建 MText 对象: ```csharp AcadMText mtext = app.ActiveDocument.ModelSpace.AddMText(new double[] { 0, 0, 0 }, "This is a sample MText"); ``` 其中,第一个参数为 MText 的插入点坐标,第二个参数为 MText 的内容。 4. 设置 MText 的属性: ```csharp mtext.Height = 2.5; mtext.Width = 5; mtext.AttachmentPoint = AcAttachmentPoint.acAttachmentPointTopCenter; ``` 可以设置 MText 的高度、宽度和对齐方式等属性。 5. 更新视图: ```csharp app.Update(); ``` 最后,调用 Update 方法更新视图即可。 完整的代码示例: ```csharp using Autodesk.AutoCAD.Interop; using Autodesk.AutoCAD.Interop.Common; namespace AutoCADTest { class Program { static void Main(string[] args) { // 获取 AutoCAD 应用程序对象 AcadApplication app = (AcadApplication)System.Runtime.InteropServices.Marshal.GetActiveObject("AutoCAD.Application"); // 创建 MText 对象 AcadMText mtext = app.ActiveDocument.ModelSpace.AddMText(new double[] { 0, 0, 0 }, "This is a sample MText"); // 设置 MText 的属性 mtext.Height = 2.5; mtext.Width = 5; mtext.AttachmentPoint = AcAttachmentPoint.acAttachmentPointTopCenter; // 更新视图 app.Update(); } } } ```

“相关推荐”对你有帮助么?

  • 非常没帮助
  • 没帮助
  • 一般
  • 有帮助
  • 非常有帮助
提交
评论 1
添加红包

请填写红包祝福语或标题

红包个数最小为10个

红包金额最低5元

当前余额3.43前往充值 >
需支付:10.00
成就一亿技术人!
领取后你会自动成为博主和红包主的粉丝 规则
hope_wisdom
发出的红包
实付
使用余额支付
点击重新获取
扫码支付
钱包余额 0

抵扣说明:

1.余额是钱包充值的虚拟货币,按照1:1的比例进行支付金额的抵扣。
2.余额无法直接购买下载,可以购买VIP、付费专栏及课程。

余额充值